package cn.kdan.cloud.pdf.office.account;

import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonFeignExceptionHandle;
import cn.kdan.cloud.pdf.office.common.annotation.EnableControllerExceptionHandler;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@MapperScan("cn.kdan.cloud.pdf.office.account.mapper")
@EnableDiscoveryClient
@EnableHystrix
@EnableCommonFeignExceptionHandle
@EnableControllerExceptionHandler
public class PdfOfficeAccountApplication {

    public static void main(String[] args) {
        SpringApplication.run(PdfOfficeAccountApplication.class, args);
    }

}
