package cn.kdan.cloud.pdf.office.account.service.impl;



import cn.kdan.cloud.pdf.office.account.mapper.OauthClientDetailsMapper;
import cn.kdan.cloud.pdf.office.account.model.OauthClientDetails;
import cn.kdan.cloud.pdf.office.account.model.OauthClientDetailsExample;
import cn.kdan.cloud.pdf.office.account.service.OauthClientDetailsService;
import cn.kdan.cloud.pdf.office.account.vo.OauthClientDetailsVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OauthClientDetailsServiceImpl implements OauthClientDetailsService {

    @Autowired
    private  OauthClientDetailsMapper oauthClientDetailsMapper;

    @Override
    public List<OauthClientDetails> listAll() {
        return oauthClientDetailsMapper.selectByExample(new OauthClientDetailsExample());
    }

    @Override
    public OauthClientDetails getByClientId(String clientId) {
        return oauthClientDetailsMapper.selectByPrimaryKey(clientId);
    }

    @Override
    public OauthClientDetailsVO convert(OauthClientDetails oauthClientDetails) {
        OauthClientDetailsVO vo = new OauthClientDetailsVO();
        if(oauthClientDetails != null){
            BeanUtils.copyProperties(oauthClientDetails,vo);
        }
        return vo;
    }

    @Override
    public OauthClientDetailsVO detail(OauthClientDetails oauthClientDetails) {
        return convert(oauthClientDetails);
    }
}
