package cn.kdan.cloud.pdf.office.api.payment.appstore;

import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Map;
import java.util.Objects;
import java.util.UUID;

@Data
@ToString
public class AppTransaction  {
    private String appAccountToken; // UUID for transaction association
    private String bundleId; // Bundle identifier of the app
    private String currency; // ISO 4217 currency code
    private String environment; // Server environment (sandbox or production)
    @JsonFormat(shape = JsonFormat.Shape.NUMBER)
    private Date expiresDate; // Subscription expires or renews (UNIX time in ms)
    private String inAppOwnershipType; // Ownership type description
    private boolean isUpgraded; // Indicates if upgraded to another subscription
    private String offerDiscountType; // Payment mode for subscription offer
    private String offerIdentifier; // Offer code or promotional identifier
    private String offerType; // Promotional offer type
    @JsonFormat(shape = JsonFormat.Shape.NUMBER)
    private Date originalPurchaseDate; // Original transaction purchase date (UNIX time in ms)
    private String originalTransactionId; // Original purchase transaction ID
    private int price; // Price multiplied by 1000
    private String productId; // Unique identifier of the product
    @JsonFormat(shape = JsonFormat.Shape.NUMBER)
    private Date purchaseDate; // Purchase charge date (UNIX time in ms)
    private int quantity; // Number of consumable products purchased
    @JsonFormat(shape = JsonFormat.Shape.NUMBER)
    private Date revocationDate; // Refund or revoke date (UNIX time in ms)
    private String revocationReason; // Reason for refund or revocation
    @JsonFormat(shape = JsonFormat.Shape.NUMBER)
    private Date signedDate; // Signed JSON Web Signature date (UNIX time in ms)
    private String storefront; // Country/region code for App Store
    private String storefrontId; // Unique App Store storefront identifier
    private String subscriptionGroupIdentifier; // Identifier of subscription group
    private String transactionId; // Unique transaction identifier
    private String transactionReason; // Reason for purchase transaction
    private String type; // Type of the in-app purchase
    private String webOrderLineItemId; // Unique identifier for subscription purchase events
}

