package cn.kdan.cloud.pdf.office.api.payment.appstore;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.ZonedDateTime;
import java.util.Date;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/6/28
 */
@Data
@ToString
public class Receipt {

    @JsonProperty("receipt_type")
    private String receiptType;
    @JsonProperty("adam_id")
    private int adamId;
    @JsonProperty("app_item_id")
    private int appItemId;
    @JsonProperty("bundle_id")
    private String bundleId;
    @JsonProperty("application_version")
    private String applicationVersion;
    @JsonProperty("download_id")
    private int downloadId;
    @JsonProperty("version_external_identifier")
    private int versionExternalIdentifier;

    @JsonProperty("receipt_creation_date")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss zzz")
    private String receiptCreationDate;
    @JsonProperty("receipt_creation_date_ms")
    private String receiptCreationDateMs;
    @JsonProperty("receipt_creation_date_pst")
    private String receiptCreationDatePst;
    @JsonProperty("request_date")
    private String requestDate;
    @JsonProperty("request_date_ms")
    private String requestDateMs;
    @JsonProperty("request_date_pst")
    private String requestDatePst;
    @JsonProperty("original_purchase_date")
    private String originalPurchaseDate;
    @JsonProperty("original_purchase_date_ms")
    private String originalPurchaseDateMs;
    @JsonProperty("original_purchase_date_pst")
    private String originalPurchaseDatePst;
    @JsonProperty("original_application_version")
    private String originalApplicationVersion;
    @JsonProperty("in_app")
    private List<InApp> inApp;
}
