package cn.kdan.cloud.pdf.office.api.payment.dto;

import cn.kdan.cloud.pdf.office.api.payment.enums.PaymentMethodEnum;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023/1/31
 */
@Data
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CreateOrderManualDTO {
    @NotNull(message = "appId 不能为空")
    private String appId;

    @NotNull(message = "productId 不能为空")
    private String productId;
    /**
     * 手动生成的
     */
    private String tradeNo;

    private BigDecimal price;
    @NotNull(message = "userId 不能为空")
    private String userId;

    /**
     * 第三方编号，没有可不填
     */
    private String thirdTradeNo;

    private String thirdOrderNo;
    @NotNull(message = "paymentMethod 不能为空")
    private PaymentMethodEnum paymentMethod;

    private String subscriptionId;

    private String id;

    private String email;

    private String invoiceNo;
    /**
     * 1自动续订 2单次扣费订单
     */
    private Integer paymentModel;
    /**
     * 是否开启自动续订0 关闭 1 开启
     */

    private Integer subscriptionType;
    /**
     * payNumber默认为1
     */
    private Integer payNumber;

    private String result;

    private String currency;
    private BigDecimal reducedPrice;
}
