package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class BillingCycleOverride implements Serializable {
    /**
     * 此周期在其他计费周期中的运行顺序。
     * 例如，试用计费周期具有 of ，而常规计费周期具有 of ，
     * 以便试用周期在常规计费周期之前运行 cycle.sequence1sequence2
     */
    private Integer sequence;
    /**
     * 此计费周期执行的次数。
     * 试用计费周期只能执行有限次数（值介于 和 之间）。
     * 常规计费周期可以无限次执行（值为 ）或有限次数（值介于 和 for 之间）。
     * 1 999 total_cycles 0 total_cycles 1 999 total_cycles
     */
    private Integer total_cycles;
    /**
     * 此计费周期的有效定价方案。免费试用计费周期不需要定价方案。
     */
    private PricingScheme pricing_scheme;

}
