package cn.kdan.cloud.pdf.office.api.payment.paypal;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@Data
@ToString
public class PaymentPreferences implements Serializable {
    /**
     * 指示是否在下一个计费周期自动对未结金额计费。
     */
    private Boolean auto_bill_outstanding;
    /**
     * 暂停订阅之前的最大付款失败次数。
     * 例如，如果是 ，则订阅会在连续两次付款失败时自动更新到该状态。
     */
    private Integer payment_failure_threshold;

    /**
     * 服务的初始设置费。
     */
    private Money setup_fee;

    /**
     * 在设置的初始付款失败时对订阅执行的操作。
     *
     * 可能的值为：
     *
     * CONTINUE. 如果设置的初始付款失败，则继续订阅。
     * CANCEL. 如果设置的初始付款失败，则取消订阅。
     */
    private String setup_fee_failure_action;

}
