package cn.kdan.cloud.pdf.office.api.payment.paypal;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/1/17
 */
@Data
@ToString
public class SubscriptionBillingInfo implements Serializable {
    /**
     * 连续付款失败的次数。
     * 重置为付款成功后。如果达到该值，订阅将更新为状态。0payment_failure_thresholdSUSPENDED
     */
    private Integer failed_payments_count;
    /**
     * 由订阅者支付的待处理账单总额。
     */
    private Money outstanding_balance;
    /**
     * 试用和常规计费执行。
     */
    private List<CycleExecution> cycle_executions;
    /**
     * final_payment_time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime final_payment_time;

    /**
     * 订阅上次付款失败的详细信息。
     */
    private FailedPaymentDetails last_failed_payment;
    /**
     * 上次支付订阅的详细信息。
     */
    private LastPaymentDetails last_payment;
    /**
     * next_billing_time
     */
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime next_billing_time;

}
