package cn.kdan.cloud.pdf.office.api.payment.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023/2/9
 */
@Data
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderInfoVO {

    public String getDate() {
        return date.toString();
    }

    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime date;

    private String scheme;

    private BigDecimal price;

    /**
     * 订阅方案 1=》月 ；2=》年
     */
    private Integer subscriptionPlan;
    /**
     * 平台
     * platformEnum
     */
    private Integer platform;

    /**
     * 订单状态， ['created' => 0, 'approved' => 1, 'completed' => 2, 'closed' => 3, 'refund' =>4]
     * OrderConstant
     */
    private Integer status;

    private String productName;

    /**
     * 产品 平台
     */
    private String productId;

    /**
     * 支付方式  ['paypal' => 0, 'alipay' => 1, 'wxpay' => 2, 'paddle' => 3, 'no need to pay' => 4];
     */
    private Integer paymentMethod;

}
