package cn.kdan.cloud.pdf.office.common.component;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

import org.springframework.format.Formatter;
import org.springframework.stereotype.Component;

/**
 * Created by tangxiangan.
 */
@Component
public class DateFormatter implements Formatter<Date> {

    ThreadLocal<SimpleDateFormat> formatter = ThreadLocal.withInitial(() -> new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"));


    @Override
    public Date parse(String text, Locale locale) throws ParseException {
        return formatter.get().parse(text);
    }

    @Override
    public String print(Date date, Locale locale) {
        return formatter.get().format(date);
    }
}
