package cn.kdan.cloud.pdf.office.common.config;

import cn.kdan.cloud.pdf.office.common.aop.FeignExceptionAspect;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author ComPDFKit-WPH 2023/2/8
 */
@Configuration
public class CloudServerConfiguration {

//    @Bean
//    public HeaderInterceptor headerInterceptor() {
//        //微服务权限拦截处理
//        return new HeaderInterceptor();
//    }

    @Bean
    @ConditionalOnProperty(name = "system.cloud.feign.exception.enabled", havingValue="true", matchIfMissing=true)
    public FeignExceptionAspect feignExceptionAspect() {
        //微服务权限拦截处理
        return new FeignExceptionAspect();
    }

}
