package cn.kdan.cloud.pdf.office.common.enums.account;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Null;

/**
 * PDF OFFICE会员类型
 */
public enum MemberTypeEnum {

    /**
     * mac会员 1 windows会员 2 mac+window会员3
     */
    MAC_MEMBER(1, "mac"),
    /**
     * windows会员
     */
    WINDOWS_MEMBER(2, "windows"),
    /**
     * mac+window会员
     */
    MAC_WINDOWS_MEMBER(3, "mac+windows"),

    NULL_MEMBER(-1, "null"),
;
    private final Integer value;

    private final String stringValue;

    MemberTypeEnum(Integer value, String stringValue) {
        this.value = value;
        this.stringValue = stringValue;
    }

    public Integer value() {
        return value;
    }

    public String stringValue() {
        return stringValue;
    }

    /**
     * 产品平台
     * com.brother.pdfreaderpro.windows.product_2
     *
     * @param code com.brother.pdfreaderpro.windows.product_2
     * @return MemberTypeEnum
     */
    public static MemberTypeEnum getEnumByCode(@NotNull String code) {
        for (MemberTypeEnum modeEnum : MemberTypeEnum.values()) {
            if (code.contains(modeEnum.stringValue())) {
                return modeEnum;
            }
        }
        return NULL_MEMBER;
    }

    public static MemberTypeEnum getEnumByValue(@NotNull Integer value) {
        for (MemberTypeEnum modeEnum : MemberTypeEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return NULL_MEMBER;
    }

}
