package cn.kdan.cloud.pdf.office.common.enums.product;

import java.math.BigDecimal;

public enum ProductEducationPriceEnum {

    VIP("全平台标准版年订阅", new BigDecimal("79.99"), new BigDecimal("39.99")),
    SVIP("全平台高级版年订阅", new BigDecimal("99.99"), new BigDecimal("49.99")),
    PERMANENT("MAC&Windows双平台高级版永久", new BigDecimal("119.99"), new BigDecimal("59.99")),

    CNY_VIP("全平台标准版年订阅（教育版）", new BigDecimal("518"), new BigDecimal("259")),
    CNY_SVIP("全平台高级版年订阅（教育版）", new BigDecimal("658"), new BigDecimal("329")),
    CNY_PERMANENT("MAC&Windows双平台高级版永久（教育版）", new BigDecimal("778"), new BigDecimal("389")),
    ;

    private final String product;
    private final BigDecimal price;
    // 教育版价格
    private final BigDecimal displayPrice;


    ProductEducationPriceEnum(String product, BigDecimal price, BigDecimal displayPrice) {
        this.product = product;
        this.price = price;
        this.displayPrice = displayPrice;
    }

    public String getProduct() {
        return product;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public BigDecimal getDisplayPrice() {
        return displayPrice;
    }

    //    getbyprice
    public static ProductEducationPriceEnum getByPrice(BigDecimal price) {
        for (ProductEducationPriceEnum productEducationPriceEnum : ProductEducationPriceEnum.values()) {
            if (productEducationPriceEnum.getPrice().compareTo(price) == 0) {
                return productEducationPriceEnum;
            }
        }
        return null;
    }
}
