package cn.kdan.cloud.pdf.office.common.properties;


import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.Objects;

@ConfigurationProperties("cmp.swagger")
public class SwaggerProperties {

    private String basePackage = "cmp.wondersgroup.cloud.cmp";

    private String title = "sample Title";

    private String description = "Sample Description";

    private String version = "v1.0";

    private String contactName = "";

    private String contactEmail = "";


    public String getBasePackage() {
        return basePackage;
    }

    public void setBasePackage(String basePackage) {
        this.basePackage = basePackage;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactEmail() {
        return contactEmail;
    }

    public void setContactEmail(String contactEmail) {
        this.contactEmail = contactEmail;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SwaggerProperties that = (SwaggerProperties) o;
        return Objects.equals(basePackage, that.basePackage) &&
                Objects.equals(title, that.title) &&
                Objects.equals(description, that.description) &&
                Objects.equals(version, that.version) &&
                Objects.equals(contactName, that.contactName) &&
                Objects.equals(contactEmail, that.contactEmail);
    }

    @Override
    public int hashCode() {

        return Objects.hash(basePackage, title, description, version, contactName, contactEmail);
    }
}
