package cn.kdan.cloud.pdf.office.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SimpleUserSubscriptionInfoVO {
    /**
     * id
     */
    private String id;
    /**
     * 用户id
     */
    private String userId;

    /**
     *  状态 0注册1订阅中2订阅过期3试用中4试用过期
     */
    private Integer status;

    /**
     * 到期时间
     */
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /**
     * 0未开启自动续订 1自动续订
     */
    private Integer payType;
    /**
     * 产品名字
     */
    private String productName;
    /**
     * 会员等级 1是免费 2是标准 3是高级
     */
    private String levels;
    /**
     * 支持的平台
     */
    private String platforms;
    /**
     * 剩余ai点数（svip才有）
     */
    private Integer point;
    /**
     * 最大登录设备限制数
     */
    private Integer maxDeviceNum;
    /**
     * 支付方式 付费模式（1自动续订(vip svip) 2单次付费(永久会员)）
     */
    private String paymentModel;
    /**
     * 是否是ai产品（0否1是）
     */
    private String isAi;

    private String code;
    /**
     * 订阅周期：1、月（30天）；2、季（90天）；3、半年（183天）；4、年（365天）
     */
    private Integer cycle;

    private String simplifiedChineseName;
    private String traditionalChineseName;

}
