package cn.kdan.cloud.pdf.office.email.service.impl;

import cn.kdan.cloud.pdf.office.api.email.bo.EmailSendBO;
import cn.kdan.cloud.pdf.office.api.email.bo.TemplateHtmlBO;
import cn.kdan.cloud.pdf.office.common.constant.RabbitMqConstant;
import cn.kdan.cloud.pdf.office.common.utils.JsonUtils;
import cn.kdan.cloud.pdf.office.email.config.MailSenderConfig;
import cn.kdan.cloud.pdf.office.email.entity.EmailLog;
import cn.kdan.cloud.pdf.office.email.service.EmailLogService;
import cn.kdan.cloud.pdf.office.email.service.EmailTemplateService;
import cn.kdan.cloud.pdf.office.email.service.SendEmailHandlerService;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Service;

import javax.mail.internet.MimeMessage;
import java.util.Date;
import java.util.Map;
import java.util.Objects;

/**
 * @author ComPDFKit-WPH 2023/1/12
 * <p>
 * 邮件发送中心
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class SendEmailHandlerServiceImpl implements SendEmailHandlerService {

    private final RabbitTemplate rabbitTemplate;

    @Override
    public void sendEmail(EmailSendBO emailSendBO){
        rabbitTemplate.convertAndSend(RabbitMqConstant.EMAIL_EXCHANGE,
                RabbitMqConstant.EMAIL_SEND_ROUTING_KEY,
                emailSendBO);
    }



}
