package cn.kdan.cloud.pdf.office.payment.service;

import java.util.Map;

/**
 * @author ComPDFKit-Bob 2024/10/23
 */
public interface PayCenterWebhookService {

    /**
     * 支付中台统一回调
     * @param  body  请求参数
     *                {
     *                 "event_type": "事件类型：1 支付成功(订阅激活成功)回调，2 支付失败回调，3 订阅扣款成功回调，4 订阅扣款失败回调，5 取消订阅回调",
     *                 "third_trade_id": "第三方订单号",
     *                 "pay_id": "第三方交易id",
     *                 "nextBillingTime": "订阅-下次扣款时间",
     *                 "order_num": "我们这边创建订单时传过去的自定义订单号",
     *                }
     * @return String 支付链接
     */
    Boolean webhookMonitor(Map<String, String> body);

}
