package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.api.payment.dto.PaddleWebhookDTO;
import cn.kdan.cloud.pdf.office.api.payment.dto.PaypalWebhookMonitorDTO;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Resource;

/**
 * @author ComPDFKit-TXA 2023/06/07
 * <p>
 * PaddleWebhookService
 */
public interface PayPalWebhookService {

    /**
     * 订阅已自动续期
     *
     * @param paypalWebhookMonitorDTO paypalWebhookMonitorDTO
     */
    void subscriptionPaymentSucceeded(PaypalWebhookMonitorDTO paypalWebhookMonitorDTO);

    /**
     * 订阅取消
     *
     * @param paypalWebhookMonitorDTO paypalWebhookMonitorDTO
     */
    void subscriptionCancel(PaypalWebhookMonitorDTO paypalWebhookMonitorDTO);

    /**
     * 订阅付款失败
     * 修改当前订单状态
     * 修改订阅状态
     * 修改用户状态
     *
     * @param paypalWebhookMonitorDTO paypalWebhookMonitorDTO
     */
    void subscriptionPayFail(PaypalWebhookMonitorDTO paypalWebhookMonitorDTO);
}
