package cn.kdan.cloud.pdf.office.payment.utils;

import java.io.*;

/**
 * @author tangxiangan
 */
public class IOUtils {

    public String getAppStoreKey() {
        String resourceName = "SubscriptionKey_7ZM85LHZYB.p8"; // 文件名
        StringBuilder content = new StringBuilder(); // 用于存储文件内容

        try (InputStream inputStream = getClass().getClassLoader().getResourceAsStream(resourceName);
             BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream))) {

            if (inputStream == null) {
                return "File not found in classpath."; // 如果未找到文件，返回相应信息
            }

            String line;
            while ((line = reader.readLine()) != null) {
                content.append(line).append(System.lineSeparator()); // 添加每一行
            }

        } catch (IOException e) {
            e.printStackTrace(); // 捕获异常
        }

        return content.toString(); // 返回文件内容的字符串
    }

    public InputStream getGoogleKey() {
        String resourceName = "focus-pottery-439503-a3-e3bbeddf9ae0.json"; // 文件名
        InputStream inputStream = getClass().getClassLoader().getResourceAsStream(resourceName);
        return inputStream;
    }

    public static void writeFile(String data, File file) throws IOException {
        OutputStream out = null;
        try {
            out = new FileOutputStream(file);
            out.write(data.getBytes());
            out.flush();
        } finally {
            close(out);
        }
    }

    public static String readFile(File file) throws IOException {
        InputStream in = null;
        ByteArrayOutputStream out = null;
        try {
            in = new FileInputStream(file);
            out = new ByteArrayOutputStream();
            byte[] buf = new byte[1024];
            int len = -1;
            while ((len = in.read(buf)) != -1) {
                out.write(buf, 0, len);
            }
            out.flush();
            byte[] data = out.toByteArray();
            return new String(data);
        } finally {
            close(in);
            close(out);
        }
    }

    public static String readFile(InputStream inputStream) throws IOException {
        InputStream in = inputStream;
        ByteArrayOutputStream out = null;
        try {
            out = new ByteArrayOutputStream();
            byte[] buf = new byte[1024];
            int len = -1;
            while ((len = in.read(buf)) != -1) {
                out.write(buf, 0, len);
            }
            out.flush();
            byte[] data = out.toByteArray();
            return new String(data);
        } finally {
            close(in);
            close(out);
        }
    }

    public static void close(Closeable c) {
        if (c != null) {
            try {
                c.close();
            } catch (IOException e) {
                // nothing
            }
        }
    }

}
