package cn.kdan.cloud.pdf.office.payment;

import cn.kdan.cloud.pdf.office.api.payment.bo.CreateSubscriptionsPaypalBO;
import cn.kdan.cloud.pdf.office.api.payment.bo.CreateSubscriptionsResultPaypalBO;
import cn.kdan.cloud.pdf.office.api.payment.bo.GeneratePayLinkPaddleBO;
import cn.kdan.cloud.pdf.office.api.payment.constant.UserAction;
import cn.kdan.cloud.pdf.office.api.payment.dto.CreateOrderDTO;
import cn.kdan.cloud.pdf.office.api.payment.paypal.ApplicationContext;
import cn.kdan.cloud.pdf.office.api.payment.paypal.Money;
import cn.kdan.cloud.pdf.office.api.payment.paypal.PayerName;
import cn.kdan.cloud.pdf.office.api.payment.paypal.SubscriberRequest;
import cn.kdan.cloud.pdf.office.api.payment.vo.CreateOrderResultVO;
import cn.kdan.cloud.pdf.office.common.utils.JsonUtils;
import cn.kdan.cloud.pdf.office.payment.client.PaypalClient;
import cn.kdan.cloud.pdf.office.payment.service.OrderService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @author ComPDFKit-WPH 2023/1/16
 */
@SpringBootTest
public class PayPalTest {

    @Autowired
    private PaypalClient paypalClient;
    @Autowired
    private OrderService orderService;

    @Test
    public void createS(){
        CreateSubscriptionsPaypalBO createSubscriptionsBO = new CreateSubscriptionsPaypalBO();

        Money shippingAmount = new Money();
        shippingAmount.setCurrency_code("USD");
        shippingAmount.setValue("0.00");

        SubscriberRequest subscriberRequest = new SubscriberRequest();
        subscriberRequest.setName(PayerName.builder().given_name("鹏辉").surname("王").build());
        subscriberRequest.setEmailAddress("ddfme123@163.com");

        ApplicationContext applicationContext = new ApplicationContext();
        applicationContext.setBrand_name("KdanMobeil");
        applicationContext.setLocale("zh-CN");
//        applicationContext.setShipping_preference("");
        applicationContext.setUser_action(UserAction.SUBSCRIBE_NOW);
        applicationContext.setReturn_url("https://www.baidu.com");
        applicationContext.setCancel_url("https://www.bilibili.com");
        createSubscriptionsBO.setPlan_id("P-7YR083674H776092KMSR74SQ");
        createSubscriptionsBO.setShipping_amount(shippingAmount);
        createSubscriptionsBO.setSubscriber(subscriberRequest);

        createSubscriptionsBO.setApplication_context(applicationContext);
        CreateSubscriptionsResultPaypalBO resultBO = paypalClient.createSubscriptions(createSubscriptionsBO);
        System.out.println(resultBO);
    }

    @Test
    public void getSInfo(){
        CreateSubscriptionsResultPaypalBO subscriptionInfo = paypalClient.getSubscriptionInfo("I-9JFFHM65F58R");
        System.out.println(JsonUtils.getJsonString(subscriptionInfo));
    }

    @Test
    public void createSub(){
        CreateOrderDTO createOrderDTO = new CreateOrderDTO();
        createOrderDTO.setProductId("22");
        CreateOrderResultVO vo =  orderService.createOrder(createOrderDTO);
        System.out.println(vo);
    }


    public static void main(String[] args) {
        GeneratePayLinkPaddleBO generatePayLinkPaddleBO = new GeneratePayLinkPaddleBO();
//        generatePayLinkPaddleBO.setDiscountable(true);
        System.out.println(generatePayLinkPaddleBO.getDiscountable());

    }

}
