package cn.kdan.cloud.pdf.office.website;

import cn.kdan.cloud.pdf.office.api.account.annotation.EnableAccountApiClient;
import cn.kdan.cloud.pdf.office.api.email.annotation.EnableEmailApiClient;
import cn.kdan.cloud.pdf.office.api.payment.annotation.EnablePaymentApiClient;
import cn.kdan.cloud.pdf.office.api.product.annotation.EnableProductApiClient;
import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonFeignExceptionHandle;
import cn.kdan.cloud.pdf.office.common.annotation.EnableCommonTools;
import cn.kdan.cloud.pdf.office.common.annotation.EnableControllerExceptionHandler;
import cn.kdan.cloud.pdf.office.common.annotation.EnableMybatisPlusConfig;
import cn.kdan.cloud.pdf.office.common.config.RedissonConfig;
import cn.kdan.cloud.pdf.office.website.properties.AIProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.context.annotation.Import;

/**
 * @author ComPDFKit-WPH 2023/1/12
 */

@SpringBootApplication
@EnableDiscoveryClient
@EnableHystrix
@EnableMybatisPlusConfig
@MapperScan("cn.kdan.cloud.pdf.office.website.mapper")
@EnableCommonTools
@EnableCaching
@EnableProductApiClient
@EnablePaymentApiClient
@EnableAccountApiClient
@EnableEmailApiClient
@EnableCommonFeignExceptionHandle
@EnableControllerExceptionHandler
@Import({RedissonConfig.class})
@EnableConfigurationProperties({AIProperties.class})
public class PDFOfficeWebsiteApplication {

    public static void main(String[] args) {
        SpringApplication.run(PDFOfficeWebsiteApplication.class, args);
    }

}
