package cn.kdan.cloud.pdf.office.website.controller;

import cn.kdan.cloud.pdf.office.api.payment.dto.EquityVerificationDTO;
import cn.kdan.cloud.pdf.office.api.payment.dto.GooglePayDTO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.utils.MyDateUtils;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.website.service.PaymentService;
import cn.kdan.cloud.pdf.office.website.utils.SecurityUtils;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;


/**
 * 谷歌支付
 */
@RestController
@RequestMapping("/googlePay")
@RequiredArgsConstructor
public class GoogleController {

    private final PaymentService paymentService;

    @Value("${isSandbox}")
    private String isSandbox;

    /**
     * 谷歌 权益校验
     *
     * @return UserInfoVO
     */
    @PostMapping("/googleEquityVerification")
    public ResultMap<UserInfoVO> googleEquityVerification(@RequestBody GooglePayDTO googlePayDTO) {
        googlePayDTO.setUserId(SecurityUtils.getUserId());
        return ResultMap.success(paymentService.googleEquityVerification(googlePayDTO));
    }

    /**
     * 生成一个订单号返回
     */
    @GetMapping("/generateSubscriptionId")
    public ResultMap<String> generateSubscriptionId() {
        if (isSandbox.equals("false")) {
            return ResultMap.success(MyDateUtils.getTimeStamp() + "-" + "google" + "-" + (int) ((Math.random() * 9 + 1) * 1000)+"-pro"); // 返回生成的订阅 ID
        }else{
            return ResultMap.success(MyDateUtils.getTimeStamp() + "-" + "google" + "-" + (int) ((Math.random() * 9 + 1) * 1000)+"-test"); // 返回生成的订阅 ID

        }
        // 生成一个唯一的订阅 ID
    }
}
