package cn.kdan.cloud.pdf.office.product.controller;

import cn.kdan.cloud.pdf.office.api.product.dto.ProductListDTO;
import cn.kdan.cloud.pdf.office.api.product.vo.ListingProductVO;
import cn.kdan.cloud.pdf.office.api.product.vo.PrizeVO;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductPriceVo;
import cn.kdan.cloud.pdf.office.api.product.vo.ProductVO;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.product.entity.Prize;
import cn.kdan.cloud.pdf.office.product.service.PrizeService;
import cn.kdan.cloud.pdf.office.product.service.ProductService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2023/2/1
 */
@RestController
@RequestMapping("/prize")
@RequiredArgsConstructor
public class PrizeController {

    private final PrizeService prizeService;
    private final ProductService productService;

    @PostMapping("/insert")
    public ResultMap<String> insert(@RequestBody PrizeVO prize) {
        Prize prize1 = new Prize();
        BeanUtils.copyProperties(prize, prize1);
        prizeService.insert(prize1);
        return ResultMap.success();
    }

    @PostMapping("/list")
    public ResultMap<List<PrizeVO>> list(@RequestBody Prize prize) {
        List<Prize> list = prizeService.list(prize);
        List<PrizeVO> result = new ArrayList<>();
        for (Prize item : list) {
            PrizeVO prizeVO = new PrizeVO();
            if(StringUtils.isNotEmpty(item.getProductId())) {
                prizeVO.setProductCode(productService.getProduct(item.getProductId()).getCode());
            }
            BeanUtils.copyProperties(item, prizeVO);
            result.add(prizeVO);
        }
        return ResultMap.success(result);
    }


}
