package cn.kdan.cloud.pdf.office.product.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("activity_information")
public class ActivityInformation extends BaseEntity{

    /**
     * 活动标题
     */
    private String activityTitle;
    /**
     * 活动类型id  1-新用户专用，2正常
     */
    private Integer activityType;
    /**
     * 活动信息类容
     */
    private String contentInformation;
    /**
     * 折扣
     */
    private BigDecimal discount;
    /**
     * 最终价格
     */
    private BigDecimal finalPrice;
    /**
     * 最终中国价格
     */
    private BigDecimal finalCnyPrice;

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 是否启用，1启用，0禁用
     */
    private Integer isEnable;

}
