package cn.kdan.cloud.pdf.office.sso.config.oauth;

import cn.kdan.cloud.pdf.office.api.account.feign.UserApi;
import cn.kdan.cloud.pdf.office.common.constant.CommonConstant;
import cn.kdan.cloud.pdf.office.common.pojo.CustomUserDetails;
import cn.kdan.cloud.pdf.office.common.pojo.ResultMap;
import cn.kdan.cloud.pdf.office.common.utils.JsonUtils;
import cn.kdan.cloud.pdf.office.common.vo.UserVO;
import cn.kdan.cloud.pdf.office.sso.constant.AuthConstant;
import cn.kdan.cloud.pdf.office.sso.service.AuthService;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * @author tangxiangan
 */
@Data
@Component
public class LoginAuthenticationSuccessHandler implements AuthenticationSuccessHandler {

    @Autowired
    private UserApi userService;
    @Autowired
    private AuthService authService;

    @Override
    public void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response,
                                        Authentication authentication) throws IOException {
        //Authentication接口封装认证信息
        response.setContentType("application/json;charset=UTF-8");
//        //将authentication认证信息转换为json格式的字符串写到response里面去
        PrintWriter writer = response.getWriter();
        String userId = ((CustomUserDetails)authentication.getPrincipal()).getId();
        UserVO userInfVO = userService.getById(userId).getResult();
        String sessionId = request.getSession().getId();
//        redisTemplate.set(SessionConstant.SESSION_+userId,sessionId);
        writer.write(JsonUtils.getJsonString(new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,userInfVO)));
        writer.flush();
        writer.close();
    }
}
